libmailtools-perl (2.21-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ gregor herrmann ]
  * Backup and restore file which gets modified during build.
    (Closes: #1049115)
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.2.
  * Set Rules-Requires-Root: no.

 -- gregor herrmann <gregoa@debian.org>  Thu, 07 Mar 2024 16:10:11 +0100

libmailtools-perl (2.21-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.4.1, no changes needed.
  * Set upstream metadata fields: Bug-Submit.
  * Wrap long lines in changelog entries: 1.12-1.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 28 Aug 2022 14:45:23 +0100

libmailtools-perl (2.21-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 2.21
  * Update upstream copyright years & email address.
  * Install all upstream example programs instead of listing them individually.
  * Update dependencies.

 -- intrigeri <intrigeri@debian.org>  Thu, 25 Jul 2019 03:13:36 +0000

libmailtools-perl (2.20-1) unstable; urgency=medium

  * Take over for the Debian Perl Group; Closes: #925005 -- RFA/ITA
  * debian/control: Added: Vcs-Git field (source stanza); Vcs-Browser
    field (source stanza). Changed: Homepage field changed to
    metacpan.org URL; Maintainer set to Debian Perl Group <pkg-perl-
    maintainers@lists.alioth.debian.org> (was: Anibal Monsalve Salazar
    <anibal@debian.org>).
  * debian/watch: use metacpan-based URL.
  * Mark package as autopkgtest-able.
  * Drop unneeded version from perl build dependency.
  * Bump debhelper-compat to 12.
  * Remove trailing whitespace from debian/*.
  * debian/watch: use uscan version 4.
  * Use dh(1) in debian/rules and add debian/clean and
    debian/libmailtools-perl.examples.
  * debian/copyright: use Copyright-Format 1.0.
  * debian/control: drop ancient Conflicts, Provides, Replaces.
  * Drop Section and Priority from binary package.
  * Update short and long description: include shipped modules.
    (Closes: #607611)
  * Add /me to Uploaders.

  * Import upstream version 2.20.
  * Update years of upstream copyright.
  * Add debian/upstream/metadata.
  * Update patches:
    Refresh patches (offset).
    Merge two patches.
    Add DEP3 headers.
    Rename patches.
  * Mention distribution name in long description.

  * Annotate test-only build dependencies with <!nocheck>.
  * Declare compliance with Debian Policy 4.4.0.

 -- gregor herrmann <gregoa@debian.org>  Sun, 14 Jul 2019 16:53:59 -0300

libmailtools-perl (2.18-1) unstable; urgency=medium

  * New upstream release 2.18
    Closes: #842392
  * Standards version is 3.9.8

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 27 Dec 2016 11:53:05 +0000

libmailtools-perl (2.13-1) unstable; urgency=medium

  * New upstream release 2.13.
  * Standards version is 3.9.5
  * Use default compression for binary packages.
  * Don't split $name if it's the empty string.
    Add 03-750357-unnamed-users.patch.
    Patch by Guilhem Moulin <guilhem@guilhem.org>.
    Closes: #750357.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 09 Sep 2014 08:57:18 +0100

libmailtools-perl (2.12-1) unstable; urgency=low

  * New upstream release 2.12
  * Standards version is 3.9.4
  * Depends on libnet-smtp-ssl-perl
    Closes: #643841

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 25 May 2013 13:32:52 +1000

libmailtools-perl (2.09-1) unstable; urgency=low

  * New upstream release
  * Standards version is 3.9.3
  * DH compatibility level is 9

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 16 Jun 2012 15:44:52 +1000

libmailtools-perl (2.08-1) unstable; urgency=low

  * New upstream
    Fixes:
    - respect errors on closing an Mail::Mailer::smtp/::smtps connection.
      [Tristam Fenton-May]
    - Mail::Internet should accept Net::SMTP::SSL as well.
      rt.cpan.org#68590 [Jonathan Kamens]
    Improvements:
    - document that Mail::Mailer::smtps needs Authen::SASL
  * Fix debian-rules-missing-recommended-target
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 25 Jun 2011 19:22:57 +1000

libmailtools-perl (2.07-1) unstable; urgency=low

  * New upstream release
  * Debian source format is 3.0 (quilt)
  * Fix debian-rules-makemaker-prefix-is-deprecated
  * Fix out-of-date-standards-version
  * Fix copyright-refers-to-symlink-license

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 09 Mar 2011 22:51:32 +1100

libmailtools-perl (2.06-1) unstable; urgency=low

  * New upstream release
  * Rename 01-strip-extra-fields.patch as 01-458602-strip-extra-fields.patch
  * Update 01-458602-strip-extra-fields.patch
  * Use sendmail in /usr/sbin, not /usr/lib
    Add 02-539193-sendmail.patch
    Patch by Santiago Vila
    Closes: 539193
  * Fix out-of-date-standards-version
  * Update upstream homepage

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 13 Feb 2010 09:40:04 +1100

libmailtools-perl (2.05-1) unstable; urgency=low

  * New upstream release
  * Debian source format is 3.0 (quilt)
  * Fix debhelper-but-no-misc-depends
  * Fix homepage-for-cpan-package-contains-version
  * Fix out-of-date-standards-version
  * DH compatibility level is 7

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 19 Jan 2010 21:27:35 +1300

libmailtools-perl (2.04-1) unstable; urgency=low

  * New upstream release
  * Standards-Version is 3.8.0

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 05 Aug 2008 21:52:15 +1000

libmailtools-perl (2.03-1) unstable; urgency=low

  * New upstream release

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 21 Apr 2008 20:31:05 +1000

libmailtools-perl (2.02-1) unstable; urgency=low

  * New upstream release. Closes: #453324
  * Fixed "Mail::Internet includes entire user field in Sender header".
    Patch by Christopher Schmidt <crschmidt@crschmidt.net>.
    Closes: #458602
  * Homepage field added to debian/control
  * Set Standards-Version to 3.7.3
  * Set debhelper compatibility to 6
  * Updated debian/copyright

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 10 Feb 2008 10:04:09 +1100

libmailtools-perl (1.77-1) unstable; urgency=low

  * Mail/Header.pm: fixed typo, closes: #374047.
  * Mail/Address.pm: fixed typo, closes: #423932.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 25 Aug 2007 11:37:41 +1000

libmailtools-perl (1.77-0) unstable; urgency=low

  * New upstream release
  * Fixed the following lintian message:
    - W: libmailtools-perl source: debian-rules-ignores-make-clean-error line 57

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 22 Aug 2007 21:13:29 +1000

libmailtools-perl (1.74-1) unstable; urgency=low

  * New maintainer. Closes: #400363.
  * ACK NMU. Closes: #247009, #304155, #316160, #329583, #346008.
  * Set Standards-Version to 3.7.2.
  * Set section to perl.
  * Removed patch from bug #177710 as it causes breakage.
    Closes: #287262.
  * Fixed the following lintian error:
    - build-depends-indep-should-be-build-depends debhelper

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 26 Nov 2006 07:53:03 +1100

libmailtools-perl (1.74-0.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's blessing
  * New upstream release (Closes: Bug#329583)
    + doesn't taint parsed addresses anymore (Closes: Bug#346008)
  * Revert patch for qmail, not needed anymore (Closes: Bug#316160)
  * Correct manual page for Mail::Field -> extract (Closes: Bug#304155)
  * Correct manual page for Mail::Header -> get (Closes: #247009)
  * Upgrade debhelper compatibitly level
  * Update upstream info
  * Drop Suggests: libmail-audit-perl as it was removed from the archive

 -- Florian Ernst <florian@debian.org>  Tue, 28 Feb 2006 19:18:29 +0100

libmailtools-perl (1.62-1) unstable; urgency=low

  * New upstream release
    (Reverts: Bug#104572)
    (Closes: Bug#238732)
  * Re-applied patch from Bug#177710
    (Closes: Bug#218534)

 -- Matt Hope <dopey@debian.org>  Mon, 12 Apr 2004 23:49:07 +1000

libmailtools-perl (1.60-1) unstable; urgency=low

  * New upstream release

 -- Matt Hope <dopey@debian.org>  Thu, 12 Feb 2004 08:21:49 +1100

libmailtools-perl (1.59-1) unstable; urgency=low

  * New upstream release
  * Applied patch from Marc Brockschmidt <marc@dch-faq.de>
    (Closes: Bug#104572)

 -- Matt Hope <dopey@debian.org>  Wed, 10 Sep 2003 23:55:32 +1000

libmailtools-perl (1.58-1) unstable; urgency=low

  * New upstream release
    (Closes: #191401)
  * Sorry, fixed broken patch that somehow slipped in
    and made Mail/Mailer/qmail.pm unusable.
    (Closes: Bug#179186)
  * Applied patch from 'root@khms.westfalen.de' to fix
    Mail::Address misparsing some headers.
    (Closes: Bug#177710)

 -- Matt Hope <dopey@debian.org>  Sat,  8 Mar 2003 12:49:45 +1100

libmailtools-perl (1.56-1) unstable; urgency=low

  * New upstream release

 -- Matt Hope <dopey@debian.org>  Sat, 11 Jan 2003 01:36:23 +1100

libmailtools-perl (1.53-1) unstable; urgency=low

  * New upstream release

 -- Matt Hope <dopey@debian.org>  Tue, 24 Dec 2002 16:03:15 +1100

libmailtools-perl (1.51-1) unstable; urgency=low

  * New upstream release
  * Updated standards-version

 -- Matt Hope <dopey@debian.org>  Sat,  2 Nov 2002 15:26:20 +1100

libmailtools-perl (1.49-1) unstable; urgency=low

  * New upstream release

 -- Matt Hope <dopey@debian.org>  Sun,  1 Sep 2002 11:49:34 +1000

libmailtools-perl (1.48-1) unstable; urgency=low

  * New upstream release
  * debian/copyright; Updated
    (Closes: Bug#157610)

 -- Matt Hope <dopey@debian.org>  Wed, 21 Aug 2002 20:57:37 +1000

libmailtools-perl (1.47-1) unstable; urgency=low

  * New upstream release.
  * New maintainer.
  * Thanks to StevenK for the work he put in on this package.
  * Removed `mailtools' package. By now, all dependancies on mailtools
    should have been changed to `libmailtools-perl'.
  * Added real URL to copyright.
  * Added `debian/watch'.

 -- Matt Hope <dopey@debian.org>  Sun, 14 Jul 2002 01:45:54 +1000

libmailtools-perl (1.46-1) unstable; urgency=low

  * New upstream release.
  * Apply patch so that mailx is not used interactively. (Thanks, Robert!)
    (Closes: #150430)

 -- Steve Kowalik <stevenk@debian.org>  Thu, 20 Jun 2002 00:09:46 +1000

libmailtools-perl (1.44-1) unstable; urgency=low

  * New upstream release. (Closes: #142745)

 -- Steve Kowalik <stevenk@debian.org>  Sun, 14 Apr 2002 12:10:58 +1000

libmailtools-perl (1.42-2) unstable; urgency=medium

  * Urgency medium to drop to woody.
  * Adding a Suggests on libmail-audit-perl. (Closes: #122466)

 -- Steve Kowalik <stevenk@debian.org>  Sun, 23 Dec 2001 22:18:12 +1100

libmailtools-perl (1.42-1) unstable; urgency=low

  * New upstream release
  * Demos moved from bin/ to examples/, fixing debian/rules.
  * qmail.pm applied upstream.

 -- Steve Kowalik <stevenk@debian.org>  Sat, 15 Dec 2001 13:41:32 +1100

libmailtools-perl (1.41-1) unstable; urgency=low

  * New upstream release. (Closes: #119823)
  * Fixed in this release. (Closes: #69223)

 -- Steve Kowalik <stevenk@debian.org>  Sat, 17 Nov 2001 00:58:20 +1100

libmailtools-perl (1.40-3) unstable; urgency=medium

  * Providing 'libmail-perl' as it can be argued that this name is more
    correct for the package, but without the headache of another name change.

 -- Steve Kowalik <stevenk@debian.org>  Tue,  9 Oct 2001 00:23:07 +1000

libmailtools-perl (1.40-2) unstable; urgency=high

  * New Maintainer. (Same for 1.40-1, damnit.)
  * Install the provided demos.
  * Move overview.txt to OVERVIEW.
  * Reorganize debian/rules so that the layout makes _sense_.
  * Bump to Standards-Version 3.5.6 (Changes made in 1.40-1 meet
    requirements.)
  * Change Build-Depends to Build-Depends-Indep.
  * Install a README.Debian for mailtools.
  * Fixed upstream. (Closes: #77046)
  * High urgency, so that it makes into testing.
  * Clean up OVERVIEW in clean target.

 -- Steve Kowalik <stevenk@debian.org>  Fri, 21 Sep 2001 10:22:48 +1000

libmailtools-perl (1.40-1) unstable; urgency=low

  * New upstream release
  * Renaming source and binary package libmailtools-perl.
  * Adding Build-Depends. (Closes: #94835)
  * Use vendor install directories.
  * Cleaning up "Not in MANIFEST" spew from clean target.
  * Rewrote most of debian/rules to support vendor directories.
  * Fixed in 1.18 upstream release. (Closes: #100486)
  * Also fixed upstream. (Closes: #81189)
  * Include qmail.pm. (Closes: #47862)

 -- Steve Kowalik <stevenk@debian.org>  Thu, 13 Sep 2001 20:49:00 +1000

mailtools (1.15-1) unstable; urgency=low

  * New upstream release
  * Deals with case issues correctly in Mail::Field (closes: bug#69234)
  * Close a long-fixed bug (closes: bug#53081)

 -- Michael Alan Dorman <mdorman@debian.org>  Tue,  5 Sep 2000 08:13:22 -0400

mailtools (1.14-1) unstable; urgency=low

  * New upstream version.

 -- Michael Alan Dorman <mdorman@debian.org>  Wed, 29 Mar 2000 12:27:40 -0500

mailtools (1.13-4) unstable; urgency=low

  * Made a quick hack to create an overview file.  Darren, if you want
    more than this, it's going to be wishlisted forever. :-) (closes:
    bug#36906)

 -- Michael Alan Dorman <mdorman@debian.org>  Fri, 13 Aug 1999 22:20:23 -0400

mailtools (1.13-3) unstable; urgency=low

  * Fix for shell quoting issue in Mail::Mailer::test. (closes: bug#40134)

 -- Michael Alan Dorman <mdorman@debian.org>  Mon,  9 Aug 1999 12:35:51 -0400

mailtools (1.13-2) unstable; urgency=low

  * Modified for new perl packages.
  * Modified to use debhelper.

 -- Michael Alan Dorman <mdorman@debian.org>  Sun,  4 Jul 1999 22:50:05 +0000

mailtools (1.13-1) unstable; urgency=low

  * New upstream version.

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 11 Apr 1999 13:05:29 -0400

mailtools (1.12-1) unstable; urgency=low

  * Update description (closes: bug#17079)
  * Mail::Address was rewritten to try and avoid taking arbitrarily long periods
    of time (closes: bug#31786)

 -- Michael Alan Dorman <mdorman@debian.org>  Fri, 12 Feb 1999 15:13:47 -0500

mailtools (1.11-2) unstable; urgency=low

  * Correct typo in control.

 -- Michael Alan Dorman <mdorman@debian.org>  Sun,  8 Feb 1998 19:43:53 -0500

mailtools (1.11-1) unstable; urgency=low

  * New upstream release.

 -- Michael Alan Dorman <mdorman@debian.org>  Wed,  4 Feb 1998 09:32:36 -0500

mailtools (1.1003-1) unstable; urgency=low

  * New upstream release

 -- Michael Alan Dorman <mdorman@debian.org>  Fri, 15 Dec 2017 12:35:53 -0500

mailtools (1.09-2) unstable; urgency=low

  * Just entirely remove .packlist---anyone using the debian package
    doesn't need it anyway

 -- Michael Alan Dorman <mdorman@debian.org>  Sat, 26 Apr 1997 12:46:21 -0400

mailtools (1.09-1) unstable; urgency=low

  * New upstream release

 -- Michael Alan Dorman <mdorman@debian.org>  Sat, 26 Apr 1997 09:58:34 -0400

mailtools (1.06-3) unstable; urgency=low

  * Added dependency on libnet package.

 -- Michael Alan Dorman <mdorman@debian.org>  Fri, 25 Oct 1996 11:27:04 -0400

mailtools (1.06-2) unstable; urgency=low

  * Updated maintainer address
  * Changed source dir name so dpkg-source doesn't barf

 -- Michael Alan Dorman <mdorman@debian.org>  Mon, 23 Sep 1996 12:09:20 -0400

mailtools (1.06-1) unstable; urgency=low

  * Initial packaging.
  * Minor fix to get rid of carp

 -- Michael Alan Dorman <mdorman@calder.med.miami.edu>  Fri, 13 Sep 1996 15:17:51 -0400
